import greenfoot.*;  
import java.util.List;

/**
 * Write a description of class Bullet here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Bullet extends Character
{
    GenericShip parent;   

    java.lang.Class friendly;
    java.lang.Class enemy;

    double life = 40;

    public Bullet(GenericShip spawnedFrom)
    {
        parent = spawnedFrom;
        speed = 10;

        if(spawnedFrom.blueTeam)
            setImage("Phaser_y.png");
        else
            setImage("Phaser_r.png");

        getImage().scale(10,4);

    }
   
    /**
     * Act - do whatever the Bullet wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        super.act();

        boolean remove = false;
        Actor hit = null;
        List<Character> collisions = getIntersectingObjects(Character.class);

        for(int i = 0; i < collisions.size(); i++)
        {
            hit = collisions.get(i);

            if(hit == parent)
            {
            }
            else if(hit.getClass() == Explosion.class)
            {
            }

            else if(hit instanceof GenericShip)
            {
                ((GenericShip)hit).takeDamage();

                remove = true;

                break;
            }
        }

        if(life <= 0 || remove)// || IsOutOfBounds())
            getWorld().removeObject(this);
        else
            life--;
    } 
}
