import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Explosion here.
 * 
 * @author Taken from commando game
 * @version Temp file till I impliment my own and make own graphics
 */
public class Explosion  extends Character
{
     private static int frames = 16;
     private static int finalSize = 50;
     
    private static GreenfootImage[] images = new GreenfootImage[frames];
    private int currentFrame = 0;
    
    public Explosion() 
    {
        super();
        
        for(int i = 0; i < frames; i++)
        {
            int scale = (int)(finalSize/(double)(1 + (((frames - i)/(double)frames) * 2)));
           // int scale = (int)finalSize/((frames - i) + 1);
            images[i] = new GreenfootImage("explosion01.png");
            images[i].scale(scale, scale); //(int)(finalSize/3.0),(int)(finalSize/3.0));
        }
       
        setImage(images[0]);
        
    }
    
    /*
    protected void addedToWorld(World world) {
       // Greenfoot.playSound("19105__Jace__Ship_damaged_explosions_sparks_modified.wav");
               doubleX = getX();
        doubleY = getY();
    }
    */

    /**
     * Act - do whatever the Explosion wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if ( currentFrame >= frames ) {
            getWorld().removeObject(this);
            return;
        }
        
        setImage(images[currentFrame]);
        currentFrame++;
    }    
}
